--- Lib/distutils/dist.py.orig	2005-03-23 11:54:36.000000000 -0700
+++ Lib/distutils/dist.py	2008-07-25 21:27:15.000000000 -0600
@@ -57,6 +57,7 @@
                       ('quiet', 'q', "run quietly (turns verbosity off)"),
                       ('dry-run', 'n', "don't actually do anything"),
                       ('help', 'h', "show detailed help message"),
+                      ('no-user-cfg', None,'ignore pydistutils.cfg in your home directory'),
                      ]
 
     # 'common_usage' is a short (2-3 line) string describing the common
@@ -264,6 +265,12 @@
                     else:
                         sys.stderr.write(msg + "\n")
 
+        # no-user-cfg is handled before other command line args
+        # because other args override the config files, and this
+        # one is needed before we can load the config files.
+        # If attrs['script_args'] wasn't passed, assume false.
+        self.want_user_cfg = '--no-user-cfg' not in (self.script_args or [])
+
         self.finalize_options()
 
     # __init__ ()
@@ -324,6 +331,9 @@
         Distutils __inst__.py file lives), a file in the user's home
         directory named .pydistutils.cfg on Unix and pydistutils.cfg
         on Windows/Mac, and setup.cfg in the current directory.
+
+        The file in the user's home directory can be disabled with the
+        --no-user-cfg option.
         """
         files = []
         check_environ()
@@ -343,7 +353,7 @@
             user_filename = "pydistutils.cfg"
 
         # And look for the user config file
-        if os.environ.has_key('HOME'):
+        if self.want_user_cfg and os.environ.has_key('HOME'):
             user_file = os.path.join(os.environ.get('HOME'), user_filename)
             if os.path.isfile(user_file):
                 files.append(user_file)
@@ -353,6 +363,8 @@
         if os.path.isfile(local_file):
             files.append(local_file)
 
+        if DEBUG:
+            print "using config files: %s" % ', '.join(files)
         return files
 
     # find_config_files ()
